2

I have Ubuntu 16.04 dual booted with Windows 10 on an HP laptop. The software updater was updating software. Near the end, it gave some error, got stuck and the window became unresponsive. It was updating something related to perl.

But after a long time, I decided to merely close the software updater. Now if I run it again it doesn't manage to check for updates and when I close it, it gives me an option to run a partial upgrade but that gives "unable to get exclusive lock" and says another application like apt-get or aptitude is running and I have to close that. After closing this, running sudo apt-get update also gives me something similar. If I run ps -A | grep apt it gives me two processes called aptd. Should I kill these and try again? Would that be safe? Is there anything else I should be looking for in ps -A?

Also, this problem with software updater has happened once before. Even that time when it froze it was working on something related to perl. Could there be any problem with my software updater or perl installation?

After removing lock files and running sudo apt update:

Fetched 188 kB in 1s (122 kB/s)
E: dpkg was interrupted, you must manually run 'sudo dpkg --configure -a' to correct the problem. 

I ran that command and got this: (after many lines of processing and setting up)

Errors were encountered while processing:
 shim-signed
 cups
 unattended-upgrades

The complete output of sudo apt upgrade:

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages were automatically installed and are no longer required:
  iucode-tool libpango1.0-0 libpangox-1.0-0 linux-headers-4.4.0-21
  linux-headers-4.4.0-21-generic linux-image-4.4.0-21-generic
  linux-image-extra-4.4.0-21-generic linux-signed-image-4.4.0-21-generic
Use 'sudo apt autoremove' to remove them.
The following packages will be upgraded:
  gnome-software gnome-software-common libprocps4 procps ubuntu-software
  update-notifier update-notifier-common
7 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
3 not fully installed or removed.
Need to get 2,961 kB of archives.
After this operation, 2,048 B of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://in.archive.ubuntu.com/ubuntu xenial-updates/main amd64 libprocps4 amd64 2:3.3.10-4ubuntu2.2 [32.7 kB]
Get:2 http://in.archive.ubuntu.com/ubuntu xenial-updates/main amd64 procps amd64 2:3.3.10-4ubuntu2.2 [222 kB]
Get:3 http://in.archive.ubuntu.com/ubuntu xenial-updates/main amd64 update-notifier amd64 3.168.2 [48.2 kB]
Get:4 http://in.archive.ubuntu.com/ubuntu xenial-updates/main amd64 update-notifier-common all 3.168.2 [163 kB]
Get:5 http://in.archive.ubuntu.com/ubuntu xenial-updates/main amd64 ubuntu-software amd64 3.20.1+git20160923.2.7374bdc-0ubuntu1~xenial1 [11.7 kB]
Get:6 http://in.archive.ubuntu.com/ubuntu xenial-updates/main amd64 gnome-software amd64 3.20.1+git20160923.2.7374bdc-0ubuntu1~xenial1 [226 kB]
Get:7 http://in.archive.ubuntu.com/ubuntu xenial-updates/main amd64 gnome-software-common all 3.20.1+git20160923.2.7374bdc-0ubuntu1~xenial1 [2,257 kB]
Fetched 2,961 kB in 5s (509 kB/s)                  
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
(Reading database ... 274520 files and directories currently installed.)
Preparing to unpack .../libprocps4_2%3a3.3.10-4ubuntu2.2_amd64.deb ...
Unpacking libprocps4:amd64 (2:3.3.10-4ubuntu2.2) over (2:3.3.10-4ubuntu2) ...
Preparing to unpack .../procps_2%3a3.3.10-4ubuntu2.2_amd64.deb ...
Unpacking procps (2:3.3.10-4ubuntu2.2) over (2:3.3.10-4ubuntu2) ...
Preparing to unpack .../update-notifier_3.168.2_amd64.deb ...
Unpacking update-notifier (3.168.2) over (3.168.1) ...
Preparing to unpack .../update-notifier-common_3.168.2_all.deb ...
Unpacking update-notifier-common (3.168.2) over (3.168.1) ...
Preparing to unpack .../ubuntu-software_3.20.1+git20160923.2.7374bdc-0ubuntu1~xenial1_amd64.deb ...
Unpacking ubuntu-software (3.20.1+git20160923.2.7374bdc-0ubuntu1~xenial1) over (3.20.1+git20160617.1.0440874.ubuntu-xenial-0ubuntu1~16.04.1) ...
Preparing to unpack .../gnome-software_3.20.1+git20160923.2.7374bdc-0ubuntu1~xenial1_amd64.deb ...
Unpacking gnome-software (3.20.1+git20160923.2.7374bdc-0ubuntu1~xenial1) over (3.20.1+git20160617.1.0440874.ubuntu-xenial-0ubuntu1~16.04.1) ...
Preparing to unpack .../gnome-software-common_3.20.1+git20160923.2.7374bdc-0ubuntu1~xenial1_all.deb ...
Unpacking gnome-software-common (3.20.1+git20160923.2.7374bdc-0ubuntu1~xenial1) over (3.20.1+git20160617.1.0440874.ubuntu-xenial-0ubuntu1~16.04.1) ...
Processing triggers for libc-bin (2.23-0ubuntu4) ...
Processing triggers for ureadahead (0.100.0-19) ...
Processing triggers for systemd (229-4ubuntu12) ...
Processing triggers for man-db (2.7.5-1) ...
Processing triggers for gconf2 (3.2.6-3ubuntu6) ...
Processing triggers for hicolor-icon-theme (0.15-0ubuntu1) ...
Processing triggers for libglib2.0-0:amd64 (2.48.1-1~ubuntu16.04.1) ...
Processing triggers for bamfdaemon (0.5.3~bzr0+16.04.20160824-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for gnome-menus (3.13.3-6ubuntu3.1) ...
Processing triggers for desktop-file-utils (0.22-1ubuntu5) ...
Processing triggers for mime-support (3.59ubuntu1) ...
Setting up libprocps4:amd64 (2:3.3.10-4ubuntu2.2) ...
Setting up procps (2:3.3.10-4ubuntu2.2) ...
update-rc.d: warning: start and stop actions are no longer supported; falling back to defaults
Setting up cups (2.1.3-4) ...
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
dpkg: error processing package cups (--configure):
 subprocess installed post-installation script returned error exit status 1
Setting up shim-signed (1.19~16.04.1+0.8-0ubuntu2) ...
E: Sub-process /usr/bin/dpkg returned an error code (1)

secure boot

  • Comments are not for extended discussion; the entire conversation taking place here has been moved to chat. – Thomas Ward Nov 23 '16 at 1:15
1
  1. Open software-properties-gtk and disable auto updates
  2. Check for running APT using: ps ax | grep apt then use kill -9 .. or if it fails kill -2 ..
  3. Remove locks

    sudo find /var/lib/apt/ /var/lib/dpkg/ -iname lock -exec rm {} \;
    mkdir ~/backup; sudo mv /var/cache/debconf/*dat* ~/backup/
    
  4. Complete last installation using.

    sudo dpkg --configure -a
    sudo apt -f install
    
  5. Run update for check

    sudo apt update 
    sudo apt upgrade
    sudo apt dist-upgrade
    
  6. Open software-properties-gtk and enable back auto updates

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.